Skip to main content
Platform O&M/Backup Management/Continuous Data Protection (CDP)/CDP Operations

UpdateCdpTask

UpdateCdpTask

PUT/zstack/v1/cdp-backup-storage/task/{uuid}/actions

Operation ID

UpdateCdpTask

Since

4.3.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The UUID of the resource.

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • name
      String

      Optional. The name of the resource.

    • description
      String

      Optional. Optional. The detailed description of the resource.

    • backupBandwidth
      long

      Optional. The backup rate of a single volume.

    • maxCapacity
      long

      Optional. The planning capacity of the CDP task.

    • maxLatency
      long

      Optional. The RPO maximum latency of the CDP task.

    • resourceUuid
      String

      Optional. The UUID of the resource.

    • tagUuids
      List

      Optional. The UUID list of the tags.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    CdpTaskInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The UUID of the resource.

    • name
      StringRequired

      The name of the resource.

    • description
      String

      Optional. The detailed description of the resource.

    • policyUuid
      StringRequired

      The UUID of permission policy.

    • backupStorageUuid
      StringRequired

      The UUID of backup storage.

    • backupBandwidth
      longRequired

      The backup rate of a single volume.

    • maxCapacity
      longRequired

      The planning capacity of the CDP task.

    • usedCapacity
      longRequired

      The used capacity of the CDP task.

    • createDate
      TimestampRequired

      The time when the CDP task is created.

    • lastOpDate
      TimestampRequired

      The time when the CDP task is last modified.

    • status
      CdpTaskStatusRequired

      See status.

      • Created
        CdpTaskStatusRequired

        The CDP task is created.

      • Starting
        CdpTaskStatusRequired

        The CDP task is starting.

      • Running
        CdpTaskStatusRequired

        The CDP task is running.

      • Stopped
        CdpTaskStatusRequired

        The CDP task stopped.

      • Unknown
        CdpTaskStatusRequired

        The state of the CDP task is unknown.

      • Failed
        CdpTaskStatusRequired

        The CDP task failed.

    • state
      CdpTaskStateRequired

      See state.

      • Enabled
        CdpTaskStateRequired

        The CDP task is enabled.

      • Disabled
        CdpTaskStateRequired

        The CDP task is disabled.

    • taskType
      CdpTaskTypeRequired

      See taskType.

      • VM
        CdpTaskTypeRequired

        The VM instance corresponding to the CDP task.

    • resourceRefs
      ListRequired

      See resourceRefs.

      • taskUuid
        StringRequired

        The UUID of the CDP task.

      • resourceUuid
        StringRequired

        The UUID of the resource.

      • resourceType
        StringRequired

        The task resource list.

      • createDate
        TimestampRequired

        The time when the CDP task is created.

      • lastOpDate
        TimestampRequired

        The time when the CDP task is last modified.